
require(afex)
# require(plotrix) # would be used for plotting
require(plyr)

prep.data <- function(filename) {
  d.in <- read.table(filename, header = TRUE, sep = ";", encoding = "UTF-8")
	d.in[d.in$trial != 0,]
}

### Experiment 1

## 1a
experiment <- "1a"
data.files <- list.files(paste("data/exp",experiment, sep = ""), pattern = "\\.rtd", full.name = TRUE)
data.all <- lapply(data.files, prep.data)
data.all <- lapply(data.all, function(x) x[,!grepl("^X$", colnames(x))])
data.all <- lapply(data.all, function(x) x[,!grepl("^tTrial$", colnames(x))])
data.all <- lapply(data.all, function(x) x[,!grepl("^tconclusion$", colnames(x))])
data.all <- lapply(data.all, function(x) x[,!grepl("^tConclusion$", colnames(x))])
exp1a <- do.call("rbind", data.all)
# results:
table(daply(exp1a, .(id), function(x) as.character(x[1,"cond"])))
ez.glm("id", "resp", exp1a, between = "cond", within = c("validity", "believability"))

## 1b
experiment <- "1b"
data.files <- list.files(paste("data/exp",experiment, sep = ""), pattern = "\\.rtd", full.name = TRUE)
data.all <- lapply(data.files, prep.data)
data.all <- lapply(data.all, function(x) x[,!grepl("^X$", colnames(x))])
exp1b <- do.call("rbind", data.all)
# results:
table(daply(exp1b, .(id), function(x) as.character(x[1,"cond"])))
ez.glm("id", "resp", exp1b, between = "cond", within = c("validity", "believability"))


## 1c
experiment <- "1c"
data.files <- list.files(paste("data/exp",experiment, sep = ""), pattern = "\\.rtd", full.name = TRUE)
data.all <- lapply(data.files, prep.data)
exp1c <- do.call(rbind,data.all)
exp1c <- within(exp1c, {
  id <- factor(id)
  trial <- factor(trial)
  X <- NULL
})
# results:
table(daply(exp1c, .(id), function(x) as.character(x[1,"cond"])))
ez.glm("id", "resp", exp1c, between = "cond", within = c("validity", "believability"))


### Experiment 2
experiment <- "2"
data.files <- list.files(paste("data/exp",experiment, sep = ""), pattern = "\\.rtd", full.name = TRUE)
data.all <- lapply(data.files, prep.data)
exp2 <- do.call(rbind,data.all)
exp2 <- within(exp2, {
  id <- factor(id)
	trial <- factor(trial)
	nr <- factor(nr)
	X <- NULL
})
# results:
length(daply(exp2, .(id), function(x) as.character(x[1,"id"])))
ez.glm("id", "resp", exp2, within = c("validity", "believability"))


### Experiment 3
experiment <- "3"
data.files <- list.files(paste("data/exp",experiment, sep = ""), pattern = "\\.rtd", full.name = TRUE)
data.all <- lapply(data.files, prep.data)
data.all <- lapply(data.all, function(x) x[,!grepl("^X$", colnames(x))])
exp3 <- do.call("rbind", data.all)
# results:
table(daply(exp3, .(id), function(x) as.character(x[1,"cond"])))
ez.glm("id", "resp", exp3, between = "cond", within = c("validity", "believability"))


### Experiment 4
experiment <- "4"
data.files <- list.files(paste("data/exp",experiment, sep = ""), pattern = "\\.rtd", full.name = TRUE)
data.all <- lapply(data.files, prep.data)
data.all <- lapply(data.all, function(x) x[,!grepl("^X$", colnames(x))])
exp4 <- do.call("rbind", data.all)
# results:
table(daply(exp4, .(id), function(x) as.character(x[1,"cond"])))
ez.glm("id", "resp", exp4, within = c("validity", "believability"))


